// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Double point position status
 * </pre>
 *
 * Protobuf enum {@code commonmodule.DbPosKind}
 */
public enum DbPosKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>DbPosKind_UNDEFINED = 0;</code>
   */
  DbPosKind_UNDEFINED(0),
  /**
   * <pre>
   * Transient status
   * </pre>
   *
   * <code>DbPosKind_transient = 1;</code>
   */
  DbPosKind_transient(1),
  /**
   * <pre>
   * Closed status
   * </pre>
   *
   * <code>DbPosKind_closed = 2;</code>
   */
  DbPosKind_closed(2),
  /**
   * <pre>
   * Open status
   * </pre>
   *
   * <code>DbPosKind_open = 3;</code>
   */
  DbPosKind_open(3),
  /**
   * <pre>
   * Invalid status
   * </pre>
   *
   * <code>DbPosKind_invalid = 4;</code>
   */
  DbPosKind_invalid(4),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>DbPosKind_UNDEFINED = 0;</code>
   */
  public static final int DbPosKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * Transient status
   * </pre>
   *
   * <code>DbPosKind_transient = 1;</code>
   */
  public static final int DbPosKind_transient_VALUE = 1;
  /**
   * <pre>
   * Closed status
   * </pre>
   *
   * <code>DbPosKind_closed = 2;</code>
   */
  public static final int DbPosKind_closed_VALUE = 2;
  /**
   * <pre>
   * Open status
   * </pre>
   *
   * <code>DbPosKind_open = 3;</code>
   */
  public static final int DbPosKind_open_VALUE = 3;
  /**
   * <pre>
   * Invalid status
   * </pre>
   *
   * <code>DbPosKind_invalid = 4;</code>
   */
  public static final int DbPosKind_invalid_VALUE = 4;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static DbPosKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static DbPosKind forNumber(int value) {
    switch (value) {
      case 0: return DbPosKind_UNDEFINED;
      case 1: return DbPosKind_transient;
      case 2: return DbPosKind_closed;
      case 3: return DbPosKind_open;
      case 4: return DbPosKind_invalid;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<DbPosKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      DbPosKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<DbPosKind>() {
          public DbPosKind findValueByNumber(int number) {
            return DbPosKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(17);
  }

  private static final DbPosKind[] VALUES = values();

  public static DbPosKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private DbPosKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.DbPosKind)
}

